#ifndef CUSTOMLEFTTABBARBUTTON_H
#define CUSTOMLEFTTABBARBUTTON_H

#include <QObject>
#include <QPushButton>
#include <QPaintEvent>
#include <QPainter>
#include <QPixmap>
#include <QSize>

class CustomLeftTabBarButton : public QPushButton
{
public:
	explicit CustomLeftTabBarButton(QWidget* parent = nullptr);
	virtual ~CustomLeftTabBarButton();

	void setPos(const QSize& pos);
	void setPixmap(const QPixmap& pixmap);
	void setIconStringForButton(QString iconString);

    void setStringForButton(QString String);
    virtual QSize sizeHint() const override;

protected:
	virtual void paintEvent(QPaintEvent* e) override;

private:
	QPixmap m_pixmap;
	QSize m_pixmapPos;
};

#endif // CUSTOMLEFTTABBARBUTTON_H
